Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 15018)
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    private OffspringProcessor(bool deserializing) : base(deserializing) { }
+    private OffspringProcessor(StorableConstructorFlag deserializing) : base(deserializing) { }
     private OffspringProcessor(OffspringProcessor original, Cloner cloner) : base(original, cloner) { }
     public OffspringProcessor()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 15018)
@@ -76,5 +76,5 @@
 
     [StorableConstructor]
-    private PopulationRebuildMethod(bool deserializing) : base(deserializing) { }
+    private PopulationRebuildMethod(StorableConstructorFlag deserializing) : base(deserializing) { }
     private PopulationRebuildMethod(PopulationRebuildMethod original, Cloner cloner) : base(original, cloner) { }
     public PopulationRebuildMethod()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    private ReferenceSetUpdateMethod(bool deserializing) : base(deserializing) { }
+    private ReferenceSetUpdateMethod(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ReferenceSetUpdateMethod(ReferenceSetUpdateMethod original, Cloner cloner) : base(original, cloner) { }
     public ReferenceSetUpdateMethod()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 15018)
@@ -157,5 +157,5 @@
 
     [StorableConstructor]
-    private ScatterSearch(bool deserializing) : base(deserializing) { }
+    private ScatterSearch(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 15018)
@@ -170,5 +170,5 @@
 
     [StorableConstructor]
-    private ScatterSearchMainLoop(bool deserializing) : base(deserializing) { }
+    private ScatterSearchMainLoop(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ScatterSearchMainLoop(ScatterSearchMainLoop original, Cloner cloner) : base(original, cloner) { }
     public ScatterSearchMainLoop() : base() { Initialize(); }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private SolutionPoolUpdateMethod(bool deserializing) : base(deserializing) { }
+    private SolutionPoolUpdateMethod(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SolutionPoolUpdateMethod(SolutionPoolUpdateMethod original, Cloner cloner) : base(original, cloner) { }
     public SolutionPoolUpdateMethod()
